## ostiary-4.0.tar.gz

=== tests/Makefile ===
###########################################################################
#
# This should be pretty straightforward.
# Comment out or remove this next, and uncomment appropriate lines below.
CC = YOU MUST EDIT 'Makefile'!!!!

###################### *BSD boxen. ###########################
#MACHINE_FLAGS = -DOST_STARBSD=1 -DWORDS_BIGENDIAN
# On Intel
#MACHINE_FLAGS = -DOST_STARBSD=1
#LIB_FLAGS =
#CC = gcc -pipe
#CC_FLAGS =  -O2

########################### Linux ############################
# Sparc, PPC, etc.
#MACHINE_FLAGS = -DOST_LINUX=1 -DWORDS_BIGENDIAN
# On Intel (Alpha?)
#MACHINE_FLAGS = -DOST_LINUX=1
#LIB_FLAGS =
#CC = gcc -pipe
#CC_FLAGS = -O2
# For debugging & warnings
#CC_FLAGS = -g -Wall -pedantic

##################### Cygwin (Intel) boxen. ##################
#MACHINE_FLAGS = -DOST_CYGWIN=1
#LIB_FLAGS =
#CC = gcc -pipe
#CC_FLAGS = -O2

######################## Compaq Tru64 ########################
#MACHINE_FLAGS = -DOST_TRU64=1
#LIB_FLAGS =
#CC = cc
#CC_FLAGS = -O

######################### Solaris ############################
#MACHINE_FLAGS =  -DOST_SOLARIS=1 -DWORDS_BIGENDIAN
#CC = /opt/compilers/workshop/5.0/SUNWspro/bin/cc
#LIB_FLAGS = -lsocket -lnsl -lresolv
#CC_FLAGS = -fast -O

########################### AIX ##############################
#MACHINE_FLAGS = -DOST_AIX=1 -DWORDS_BIGENDIAN
#LIB_FLAGS =
#CC = /usr/ibmcxx/bin/xlC_r
#CC = /usr/vacpp/bin/xlC_r
#CC_FLAGS = -O

########################## HP-UX #############################
#MACHINE_FLAGS = -DOST_HP=1 -DWORDS_BIGENDIAN
#LIB_FLAGS =
#CC_FLAGS =  -Ae -O
#CC = cc

########################### IRIX #############################
#MACHINE_FLAGS = -DOST_IRIX=1 -DWORDS_BIGENDIAN
#LIB_FLAGS =
# SGI's compiler; use Linux/*BSD examples for gcc
#CC = cc
#CC_FLAGS = -s -O2 -v

########## You shouldn't need to change anything below this line. #########

COMP = $(CC) $(CC_FLAGS)

# Note that we don't just 'rm *.o' - if we didn't make it, we have
# no business rm'ing it.
default:: uidtest find_secret

clean::
	rm -f uidtest.o find_secret.o ost_hash.o md5.o ost.h ost_hash.h md5.h

clobber:: clean
	rm -f uidtest find_secret

vals:
	@echo ${COMP}
	@echo ${MACHINE_FLAGS}
	@echo ${LIB_FLAGS}

find_secret: Makefile find_secret.o ost_hash.o md5.o
	$(COMP) find_secret.o ost_hash.o md5.o -o find_secret $(MACHINE_FLAGS)\
          $(LIB_FLAGS)

find_secret.o: Makefile find_secret.c ost.h ost_hash.h
	$(COMP) -c find_secret.c -o find_secret.o $(MACHINE_FLAGS)

ost_runcmd.o: Makefile uidtest.c
	$(COMP) -c uidtest.c -o uidtest.o $(MACHINE_FLAGS)

ost_hash.h: Makefile md5.h
	cp ../ost_hash.h .

ost.h: Makefile
	cp ../ost.h .

md5.h: Makefile
	cp ../md5.h .

ost_hash.o: Makefile ost_hash.h
	cp ../ost_hash.o .

md5.o: Makefile md5.h
	cp ../md5.o .

uidtest: Makefile uidtest.o
	$(COMP) uidtest.o -o uidtest $(MACHINE_FLAGS) $(LIB_FLAGS)

=== debian/changelog ===
ostiary (4.0-1) unstable; urgency=low

  * Upstream update to use SHA-256 (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Ray Ingles <sorceror171@gmail.com>  Wed, 21 Apr 2010 23:50:23 -0400

=== debian/control ===
Source: ostiary
Section: Network
Priority: extra
Maintainer: Ray Ingles <sorceror171@gmail.com>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.8.0
Homepage: http://ingles.homeunix.net/software/ost/

Package: ostiary
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple, secure remote script execution
 Ostiary allows a client to run scripts on a server in a secure, authenticated manner, using an extremely simple protocol that is immune to buffer-overflow attacks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif





config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


#Architecture
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:  config.status 

	# Add here commands to compile the arch part of the package.
	#$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:  config.status 

	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean  --exclude ./Makefile.orig

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_prep -i  --exclude ./Makefile.orig
	dh_installdirs -i

	# Add here commands to install the indep part of the package into
	# debian/<package>-doc.
	#INSTALLDOC#

	dh_install -i

install-arch:
	dh_testdir
	dh_testroot
	dh_prep -s  --exclude ./Makefile.orig
	dh_installdirs -s

	# Add here commands to install the arch part of the package into
	# debian/tmp.
	$(MAKE) prefix=$(CURDIR)/debian/ostiary/usr install

	dh_install -s
# Must not depend on anything. This is to be called by
# binary-arch/binary-indep
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch
